# Uses of Interface
org.springframework.aot.generate.GeneratedFiles

Packages that use GeneratedFiles
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of GeneratedFiles in org.springframework.aot.generate

Classes in org.springframework.aot.generate that implement GeneratedFiles
Modifier and Type
Class
Description
`class`
`FileSystemGeneratedFiles`
`GeneratedFiles` implementation that stores generated files using a `FileSystem`.
`class`
`InMemoryGeneratedFiles`
`GeneratedFiles` implementation that keeps generated files in-memory.
Methods in org.springframework.aot.generate that return GeneratedFiles
Modifier and Type
Method
Description
`GeneratedFiles`
DefaultGenerationContext.`getGeneratedFiles()`
`GeneratedFiles`
GenerationContext.`getGeneratedFiles()`
Get the `GeneratedFiles` used by the context.
Constructors in org.springframework.aot.generate with parameters of type GeneratedFiles
Modifier
Constructor
Description
``
`DefaultGenerationContext(ClassNameGenerator classNameGenerator, GeneratedFiles generatedFiles)`
Create a new `DefaultGenerationContext` instance backed by the specified `ClassNameGenerator` and `GeneratedFiles`.
``
`DefaultGenerationContext(ClassNameGenerator classNameGenerator, GeneratedFiles generatedFiles, RuntimeHints runtimeHints)`
Create a new `DefaultGenerationContext` instance backed by the specified `ClassNameGenerator`, `GeneratedFiles`, and `RuntimeHints`.